/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package exception;

/**
 *
 * @author Eugenio
 */
public class ExcecaoVariavelNaoDeclarada extends Exception {

    public ExcecaoVariavelNaoDeclarada(String nome, String escopo, int linha) {
        super("Variavel [" + nome + "] não declada no escopo [" + escopo + "].Linha[" + linha + "]");
    }

    public ExcecaoVariavelNaoDeclarada(String nome) {
        super("Variavel [" + nome + "] não declada");
    }

}
